## dssi-vst 0.8

=== Makefile ===

DSSIDIR		= /usr/local/lib/dssi
LADSPADIR	= /usr/local/lib/ladspa
BINDIR		= /usr/local/bin

# To compile with the VeSTige compatibility header:
CXXFLAGS	= -Ivestige -Wall -fPIC

# To compile with the official VST SDK v2.4r2:
#CXXFLAGS	= -I./vstsdk2.4/pluginterfaces/vst2.x -Wall -fPIC

LDFLAGS		= 

TARGETS		= dssi-vst-server.exe.so \
		  dssi-vst-scanner.exe.so \
		  dssi-vst.so \
		  dssi-vst_gui \
		  vsthost

HEADERS		= remoteplugin.h \
		  remotepluginclient.h \
		  remotepluginserver.h \
		  remotevstclient.h \
		  rdwrops.h \
		  paths.h

OBJECTS		= remotevstclient.o \
		  remotepluginclient.o \
		  remotepluginserver.o \
		  rdwrops.o \
		  paths.o

OBJECTS_W32	= remotepluginclient.w32.o \
		  remotepluginserver.w32.o \
		  rdwrops.w32.o \
		  paths.w32.o

all:		$(TARGETS)

install:	all
		mkdir -p $(DSSIDIR)/dssi-vst
		mkdir -p $(LADSPADIR)
		mkdir -p $(BINDIR)
		install dssi-vst.so $(DSSIDIR)
		install dssi-vst.so $(LADSPADIR)
		install dssi-vst-server.exe.so dssi-vst-server dssi-vst-scanner.exe.so dssi-vst-scanner dssi-vst_gui $(DSSIDIR)/dssi-vst
		install vsthost $(BINDIR)

clean:
		rm -f $(OBJECTS) $(OBJECTS_W32) libremoteplugin.a libremoteplugin.w32.a

distclean:	clean
		rm -f $(TARGETS) dssi-vst-scanner dssi-vst-server *~ *.bak

%.exe.so:	%.cpp libremoteplugin.w32.a $(HEADERS)
		wineg++ -m32 $(CXXFLAGS) $< -o $* $(LDFLAGS) -L. -lremoteplugin.w32 -lpthread

libremoteplugin.a:	remotepluginclient.o remotepluginserver.o rdwrops.o paths.o
		ar r $@ $^

libremoteplugin.w32.a:	remotepluginclient.w32.o remotepluginserver.w32.o rdwrops.w32.o paths.w32.o
		ar r $@ $^

%.w32.o:	%.cpp $(HEADERS)
		wineg++ -m32 $(CXXFLAGS) $< -c -o $@

%.o:		%.cpp $(HEADERS)
		g++ $(CXXFLAGS) $< -c

dssi-vst.so:	dssi-vst.cpp libremoteplugin.a remotevstclient.o $(HEADERS)
		g++ -shared -Wl,-Bsymbolic -g3 $(CXXFLAGS) -o dssi-vst.so dssi-vst.cpp remotevstclient.o $(LDFLAGS) -L. -lremoteplugin -lasound

vsthost:	vsthost.cpp libremoteplugin.a remotevstclient.o $(HEADERS)
		g++ $(CXXFLAGS) vsthost.cpp remotevstclient.o -o vsthost $(LDFLAGS) -L. -lremoteplugin -ljack -lasound

dssi-vst_gui:	dssi-vst_gui.cpp rdwrops.h
		g++ $(CXXFLAGS) dssi-vst_gui.cpp rdwrops.o -o dssi-vst_gui $(LDFLAGS) -llo

## dssi-vst 0.9.2

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 		g++ -shared -Wl,-Bsymbolic -g3 $(CXXFLAGS) -o dssi-vst.so dssi-vst.cpp remotevstclient.o $(LDFLAGS) -L. -lremoteplugin -lasound
 
 vsthost:	vsthost.cpp libremoteplugin.a remotevstclient.o $(HEADERS)
-		g++ $(CXXFLAGS) vsthost.cpp remotevstclient.o -o vsthost $(LDFLAGS) -L. -lremoteplugin -ljack -lasound
+		g++ $(CXXFLAGS) vsthost.cpp remotevstclient.o -o vsthost $(LDFLAGS) -L. -lremoteplugin -ljack -lasound -lpthread
 
 dssi-vst_gui:	dssi-vst_gui.cpp rdwrops.h
 		g++ $(CXXFLAGS) dssi-vst_gui.cpp rdwrops.o -o dssi-vst_gui $(LDFLAGS) -llo

=== debian/changelog ===
dssi-vst (0.9.2-1ubuntu6) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:38:24 +0000

dssi-vst (0.9.2-1ubuntu5) precise; urgency=low

  * debian/control: only build on i386 
    - package does not build with 64-bit Wine (LP: #937371)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 25 Feb 2012 00:34:15 -0800

dssi-vst (0.9.2-1ubuntu4) precise; urgency=low

  * Build with new wine1.4

 -- Scott Ritchie <scottritchie@ubuntu.com>  Wed, 15 Feb 2012 23:41:24 -0800

dssi-vst (0.9.2-1ubuntu3) oneiric; urgency=low

  * Update build dependencies, fixes FTBFS (LP: #770884)

 -- falkTX <falktx@gmail.com>  Sun, 18 Sep 2011 17:13:39 +0100

dssi-vst (0.9.2-1ubuntu2) natty; urgency=low

  * debian/control: Add missing build-dep on libjack-dev (LP: #749124)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 15 Apr 2011 18:05:03 +0200

dssi-vst (0.9.2-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Build-Depends on wine1.2-dev instead of libwine-dev.
    - debian/patches/wine1.2-compatibility.patch: Deal with wine1.2's
      different naming, i.e wine1.2 adds .exe to the end of shell
      script filenames.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 28 Nov 2010 20:23:11 +0100

dssi-vst (0.9.2-1) unstable; urgency=low

  * New upstream release, closes: #601671.
  * Remove no-longer-needed stdio patch.
  * Switch to format 3.0 (quilt).
  * Update watch file.
  * Update standards version to 3.9.1.

 -- Samuel Mimram <smimram@debian.org>  Tue, 02 Nov 2010 14:34:06 +0000

dssi-vst (0.9.2-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Switch to 3.0 quilt format
  * Update to standards 3.9.1
  * Build against wine1.2. The package FTBFS against wine1.0 on i386 in
    maverick
  * debian/patches/wine1.2-compatibility.patch: Deal with wine1.2's different
    naming, i.e wine1.2 adds .exe to the end of shell script filenames

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 02 Aug 2010 22:19:57 +1000

dssi-vst (0.8-2ubuntu3) maverick; urgency=low

  * No-change rebuild to pick up new j-a-c-k shlibs

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 21 Jul 2010 12:57:36 +0200

dssi-vst (0.8-2ubuntu2) lucid-proposed; urgency=low

  * No changes rebuild to build on new Wine1.0 (LP: #572470)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Fri, 30 Apr 2010 01:41:29 -0700

dssi-vst (0.8-2ubuntu1) lucid; urgency=low

  * debian/control: build-depend on wine1.0-dev instead of libwine-dev

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sun, 25 Apr 2010 23:39:14 -0700

dssi-vst (0.8-2) unstable; urgency=low

  * Update copyright file (thanks Torsten Werner).

 -- Samuel Mimram <smimram@debian.org>  Sun, 03 Jan 2010 18:13:48 +0100

dssi-vst (0.8-1) unstable; urgency=low

  * Initial release, closes: #520241.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Dec 2009 19:50:44 +0100

=== debian/control ===
Source: dssi-vst
Section: contrib/sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), dssi-dev, wine1.4-dev | wine-dev, liblo-dev, libasound2-dev, libjack-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://breakfastquay.com/dssi-vst/

Package: dssi-vst
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Adapter for VST an VSTi audio plugins
 dssi-vst is an adapter that allows users of Linux audio software to take VST
 and VSTi audio effects and instrument plugins compiled for Windows, and load
 them into native LADSPA or DSSI plugin hosts. Plugins run at full speed for
 most audio processing, although their user interfaces are slower because of
 the Windows emulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=debian/dssi-vst

%:
	dh --with quilt $@

override_dh_auto_install:
	$(MAKE) install DSSIDIR=$(DESTDIR)/usr/lib/dssi LADSPADIR=$(DESTDIR)/usr/lib/ladspa BINDIR=$(DESTDIR)/usr/bin
